=== doc/Makefile ===
ROOT=..

include $(ROOT)/Makefile.conf

DOCDIR=$(install_root)$(DESTDIR)$(PREFIX)/share/doc/route-rnd

all: *.html
	@echo -n "HTMLS=" > Makefile.list
	@ls *.html | grep -v Autostyle.html | tr "\n" " " >> Makefile.list
	@echo  "" >> Makefile.list
	ROOT="" ./Autostyle.sh *.html

include ../Makefile.conf
include Makefile.list

install:
	mkdir -p $(DOCDIR)
	$(CP) $(HTMLS) $(DOCDIR)

linstall:
	mkdir -p $(DOCDIR)
	for n in $(HTMLS); do $(LN) $(PWD)/$$n $(DOCDIR)/$$n; done

uninstall:
	$(RM) $(DOCDIR)/*.html
