=== doc/TRBS/Makefile ===
DPI=300
PICS = 2net.png 3net.png passthru1.png passthru2.png passthru3.png tri.png uturn.png path.png astar.png

all: $(PICS)

%.png: %.lht
	pcb-rnd -x png --dpi $(DPI) --as-shown --cam $@=doc $^
