=== doc/detour/Makefile ===
# pcb-rnd/trunk/util/build_ps.sh
BUILD=./build_ps.sh

all:
	cd img && make
	make detour.pdf

detour.pdf: detour.ps
	ps2pdf detour.ps > detour.pdf

detour.ps:
	echo [0-9]*.html > ps.lst
	HTML2PS_OPTS="-f pdf.css --toc h" HTML2PS_SED="s/<h1>.*//;" $(BUILD) `cat ps.lst` > detour.ps


clean:
	rm HTML2PS.html ps.lst detour.ps
