=== src_3rd/libusteiner/Makefile ===
# where to install:
PREFIX=/usr/local
INCDIR=$(DESTDIR)$(inst_root)$(PREFIX)/include/libusteiner
LIBDIR=$(DESTDIR)$(inst_root)$(PREFIX)/lib

SRC_3RD=../src_3rd
#CFLAGS_CFG = -Wall -g
CFLAGS = $(CFLAGS_CFG) -I$(SRC_3RD) -I.. $(CFLAGS_LIBUSTEINER)
LDFLAGS = -lm $(LDFLAGS_LIBUSTEINER)

LIBA = libusteiner.a
OBJSA = debug.o libusteiner.o
OBJS = tester.o $(OBJSA) $(SRC_3RD)/genvector/vtp0.o

all: tester $(LIBA)

$(LIBA): $(OBJSA)
	-rm $(LIBA)
	ar ru $(LIBA) $(OBJSA)

tester: $(OBJS)
	$(CC) -o tester $(OBJS) $(LDFLAGS)

tester.o: tester.c debug.h libusteiner.h
	$(CC) -c -o tester.o $(CFLAGS) tester.c

debug.o: debug.c debug.h libusteiner.h
	$(CC) -c -o debug.o $(CFLAGS) debug.c

libusteiner.o: libusteiner.c libusteiner.h
	$(CC) -c -o libusteiner.o $(CFLAGS) libusteiner.c

install_: $(LIBA)
	mkdir -p $(LIBDIR) $(INCDIR)
	$(CP) $(PWD)/libusteiner.h          $(INCDIR)/libusteiner.h
	$(CP) $(PWD)/debug.h                $(INCDIR)/debug.h
	$(CP) $(PWD)/$(LIBA)                $(LIBDIR)/$(LIBA)

uninstall:
	-rm $(INCDIR)/libusteiner.h $(INCDIR)/debug.h $(LIBDIR)/$(LIBA)
	-rmdir $(INCDIR)

install:
	make install_ CP="cp"

linstall:
	make install_ CP="ln -s"

clean:
	-rm $(LIBA) $(OBJS) tester
