=== doc/GRBS/src/Makefile ===
all: ../geo.svg ../conc_pp_oa.svg ../conc_pp_ea.svg

../%.svg: %.lht
	pcb-rnd -x svg --cam $@=doc $^
