=== src/plugins/rt_hace/Makefile ===
all_:
	make all

%:
	cd ../../route-rnd && make $@
