=== debian/changelog ===
route-rnd (0.9.2-1) unstable; urgency=medium

  * first packaging

 -- Bdale Garbee <bdale@gag.com>  Sun, 10 Oct 2021 00:11:48 -0600
