=== debian/control ===
Source: route-rnd
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>= 13)
Standards-Version: 4.6.0
Homepage: http://repo.hu/projects/route-rnd
Vcs-Git: https://salsa.debian.org/electronics-team/route-rnd.git
Vcs-Browser: https://salsa.debian.org/electronics-team/route-rnd

Package: route-rnd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: external autorouter for pcb-rnd
 route-rnd is a generic 'external autorouter' developed for the ringdove 
 suite.  It speaks the tEDAx format (http://www.repo.hu/projects/tedax). A 
 route request tEDAx document is generated by a PCB editor, then route-rnd is 
 called and writes the route result tEDAx which then can be fed back to the 
 PCB editor to create the tracks. This process is demonstrated by ringdove's
 pcb-rnd external autorouter feature.
 .
 Route-rnd is a modular router that offers different routing algorithms.
