=== debian/watch ===
version=3
opts=dversionmangle=s/\+repack.*$// \
  http://www.repo.hu/projects/route-rnd/releases/route-rnd-(.*)\.tar\.gz
