## route-rnd 0.9.3

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	-cd src_3rd/libusearch && $(MAKE) clean
 	-cd src_3rd/libusteiner && $(MAKE) clean
 
-distclean:
+distclean: clean
 	cd src/route-rnd && $(MAKE) distclean
 	-cd src_3rd/genht && $(MAKE) distclean
 	-cd src_3rd/genlist && $(MAKE) distclean
