=== doc/Makefile ===
ROOT=..

include $(ROOT)/Makefile.conf

all: *.html
	@echo -n "HTMLS=" > Makefile.list
	@ls *.html | grep -v Autostyle.html | tr "\n" " " >> Makefile.list
	@echo  "" >> Makefile.list
	ROOT="" ./Autostyle.sh *.html

include ../Makefile.conf
include Makefile.list

install:
	$(MKDIR) $(DOCDIR)
	$(CP) $(HTMLS) $(DOCDIR)
	cd man && $(MAKE) install

linstall:
	$(MKDIR) $(DOCDIR)
	for n in $(HTMLS); do $(LN) $(PWD)/$$n $(DOCDIR)/$$n; done
	cd man && $(MAKE) linstall

uninstall:
	$(RM) $(DOCDIR)/*.html
	cd man && $(MAKE) uninstall
