=== doc/man/Makefile ===
# This Makefile is a plain old hand written one; all configuration settings
# are included from $(ROOT)/Makefile.conf which is scconfig generated
ROOT=../..

IN=route-rnd.1.mml
OUT_HTML = route-rnd.1.html
OUT_MAN1 = route-rnd.1
OUT_LINT = route-rnd.1.lint

OUTPUT = $(OUT_HTML) $(OUT_MAN1) index.html
MML = /usr/bin/mml

all: $(OUTPUT)

lint: $(OUT_LINT)

.SUFFIXES: .html .mml .lint

.mml.html: .mml_linkmap
	$(MML) -i copyright.mml -f html $<  > $@

.mml:
	$(MML) -i copyright.mml -f man $<  > $@

.mml_linkmap:
	$(MML) -i copyright.mml -f linkmap $(IN) > $@

index.html: $(IN)
	@echo '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">' > $@
	@echo '<HTML><HEAD><meta http-equiv="Content-Type" content="text/html;charset=us-ascii"><TITLE>man page index - route-rnd</TITLE></HEAD><BODY><UL>' >> $@
	$(MML) -i copyright.mml -f indexhtml $(IN) >> $@
	@echo "</UL></BODY></HTML>" >> $@

clean:

distclean:

genclean:
	rm $(OUTPUT) 2>/dev/null ; true

.mml.lint:
	$(MML) -i copyright.mml -f lint $<

install_all:
	$(MKDIR) "$(MAN1DIR)"
	$(HOW) "route-rnd.1" "$(MAN1DIR)/route-rnd.1"

uninstall_all:
	$(HOW) "$(MAN1DIR)/route-rnd.1"

install:
	$(MAKE) install_all HOW="$(CP)"

linstall:
	$(MAKE) install_all HOW="$(LN)"

uninstall:
	$(RM) "$(MAN1DIR)/route-rnd.1"

include $(ROOT)/Makefile.conf
