=== src/route-rnd/Makefile ===
--- 
+++ 
@@ -49,17 +49,17 @@
 	echo $(OBJS) $(BUILDIN_O) | ../../util/dep.sh $(CFLAGS) > Makefile.dep
 
 install:
-	mkdir -p $(BINDIR)
+	$(MKDIR) $(BINDIR)
 	$(CP) route-rnd$(EXE) $(BINDIR)/route-rnd$(EXE)
 
 linstall:
-	mkdir -p $(BINDIR)
+	$(MKDIR) $(BINDIR)
 	$(LN) $(PWD)/route-rnd$(EXE) $(BINDIR)/route-rnd$(EXE)
 
 uninstall:
 	$(RM) $(BINDIR)/route-rnd$(EXE)
 
 clean:
-	$(RM) $(OBJS) $(BUILDIN_O) route-rnd
+	$(RM) $(OBJS) $(BUILDIN_O) route-rnd main.o libroute-rnd.a
 
 distclean: clean
