=== src_3rd/genvector/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #CFLAGS = -I.. -O3 -Wall -ansi -pedantic
 CFLAGS = -I.. -g $(GENVECTOR_CFLAGS)
 LDFLAGS = $(GENVECTOR_LDFLAGS)
-OBJS = gds_char.o vti0.o vts0.o vtp0.o vtii.o vti0.o vtd0.o
+OBJS = gds_char.o vti0.o vts0.o vtp0.o vtii.o vti0.o vtd0.o vtl0.o
 IMPL = genvector_impl.c genvector_impl.h genvector_undef.h
 
 LIBA = libgenvector.a
@@ -46,6 +46,7 @@
 	$(CP) "$(PWD)/genvector_impl.h" "$(INCDIR)/genvector_impl.h"
 	$(CP) "$(PWD)/genvector_undef.h" "$(INCDIR)/genvector_undef.h"
 	$(CP) "$(PWD)/vti0.h" "$(INCDIR)/vti0.h"
+	$(CP) "$(PWD)/vtl0.h" "$(INCDIR)/vtl0.h"
 	$(CP) "$(PWD)/vtii.h" "$(INCDIR)/vtii.h"
 	$(CP) "$(PWD)/$(LIBA)" "$(LIBDIR)/$(LIBA)"
