=== src_3rd/libgrbs/Makefile ===
--- 
+++ 
@@ -3,11 +3,11 @@
 CFLAGS = -Wall -g -I$(SRC_3RD) -I..
 LIBS = $(SRC_3RD)/libualloc/libualloc.a $(SRC_3RD)/genht/libgenht.a $(SRC_3RD)/genvector/vtp0.o
 LDFLAGS = -lm
-OBJS=tester.o grbs.o debug.o addr_hash.o rtree.o
+OBJS=tester.o grbs.o debug.o addr_hash.o rtree.o snapshot.o
 
 # These are #included in grbs.o for best link time optimization
 GRBS_C=\
-  route_common.c route_next.c route_realize.c route_remove.c route_postproc.c \
+  route_common.c route_next.c route_realize.c route_remove.c \
   route_detach.c obj_line.c obj_arc.c obj_point.c collision.c addr.c geo.c \
   force_attach.c force_attach.h
