=== doc/detour/img/Makefile ===
DPI=200
LHTS = \
	ex_3net.png \
	ex_bneck.png \
	ex_multi1.png \
	ex_order.png \
	ex_osc.png \
	ex_spiral.png \
	ex_topo.png \
	ex_zigzag.png \
	geo_go_around.png \
	geo_hcross.png \
	geo_hnear.png \
	geo_hpierce.png \
	geo_hwallin.png \
	geo_hwallin_brk.png \
	topo_cross1.png \
	topo_cross2.png

DOTS = \
	topo_tree2.png \
	topo_tree1.png \
	geo_cases.png

all: $(LHTS) $(DOTS)

%.png: %.lht
	pcb-rnd -x png --dpi $(DPI) --as-shown --cam $@=doc $^

%.png: %.dot
	dot -Tpng $^ > $@
