=== debian/changelog ===
route-rnd (0.9.3-1) unstable; urgency=high

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Thu, 12 Dec 2024 02:03:13 -0700

route-rnd (0.9.2-3) unstable; urgency=high

  * resolve FTBFS with GCC-14 by adjusting CFLAGS, closes: #1075451

 -- Bdale Garbee <bdale@gag.com>  Tue, 20 Aug 2024 12:30:06 -0600

route-rnd (0.9.2-2) unstable; urgency=medium

  * add Suggests for other Ringdove applications
  * move to Ringdove subgroup on salsa

 -- Bdale Garbee <bdale@gag.com>  Thu, 13 Jun 2024 17:06:57 -0400
