=== debian/control ===
--- 
+++ 
@@ -4,14 +4,16 @@
 Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: Bdale Garbee <bdale@gag.com>
 Build-Depends: debhelper (>= 13)
+X-DH-Compat: 13
 Standards-Version: 4.6.0
 Homepage: http://repo.hu/projects/route-rnd
-Vcs-Git: https://salsa.debian.org/electronics-team/route-rnd.git
-Vcs-Browser: https://salsa.debian.org/electronics-team/route-rnd
+Vcs-Git: https://salsa.debian.org/electronics-team/ringdove-eda/route-rnd.git
+Vcs-Browser: https://salsa.debian.org/electronics-team/ringdove-eda/route-rnd
 
 Package: route-rnd
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Suggests: camv-rnd, pcb-rnd, sch-rnd
 Description: external autorouter for pcb-rnd
  route-rnd is a generic 'external autorouter' developed for the ringdove 
  suite.  It speaks the tEDAx format (http://www.repo.hu/projects/tedax). A
