=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+export DEB_CFLAGS_MAINT_APPEND = -Wno-error=incompatible-pointer-types
 
 %:
 ifeq (mipsel,$(findstring mipsel,$(DEB_HOST_ARCH)))
